This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 895198

Summary: Compose key no longer works in emacs
Product: [Fedora] Fedora Reporter: Jonathan Corbet <corbet>
Component: emacsAssignee: Petr Hracek <phracek>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: djcb.bulk, emmanuel.kowalski, jonathan.underwood, marcandre.lureau, paul+rhbugz, redhat, ricardof, rvokal, tom
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 09:50:30 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jonathan Corbet 2013-01-14 14:40:40 EST
Description of problem:

I have right-control bound as the compose key and have had that for some time.  After the F18 upgrade, emacs no longer recognizes it, complaining that "<Multi_key> is undefined".  All other applications still work as expected.

Version-Release number of selected component (if applicable):

emacs-24.2-5-fc18.x86_64

How reproducible: 100%

Steps to Reproduce:
1. Start emacs
2. Try to enter a character like — or ° or ← or …
3. Gnash teeth
  
Actual results:

Obscure complaint from emacs, no funky characters

Expected results:

Normal entry of funky characters

Additional info:

"Normal" GNOME applications handle compose as expected.  "emacs -q" does not change this behavior.
Comment 1 Lars Nielsen 2013-02-17 09:47:00 EST
Even without any special key binding it is not possible to enter special characters. This is probably a showstopper for any emacs user.
Comment 2 Emmanuel Kowalski 2013-02-17 11:16:14 EST
Following 

https://bugzilla.redhat.com/show_bug.cgi?id=479336#c9

starting emacs with

$ env -u XMODIFIERS emacs

gives back the usual behavior.

Using alias and copying and modifying correspondingly the emacs.desktop file, one can make this the default emacs invocation either from the Gnome shell or from the terminal shell.
Comment 3 Fedora Admin XMLRPC Client 2013-02-27 10:48:13 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2013-12-21 05:22:45 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Jonathan Corbet 2013-12-23 12:55:05 EST
I've been running with the XMODIFIERS workaround for a long time.  Today I tried running emacs 24.3-11-fc19 (on F19, obviously) without changing XMODIFIERS, and it works as expected.  So I would conclude that, somewhere along the way, this particular problem got fixed.
Comment 6 djcb 2013-12-26 07:43:39 EST
Same here for emacs 24.3-13-fc20 on Fedora 20, after removing the XMODIFIERS trick.
Comment 7 Fedora End Of Life 2014-02-05 09:50:36 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.